KJS(1)

NAME
kjs - KDE-ECMAScript-kompatibler Interpreter

SYNOPSIS

kjs [--help | -help | -h] [-e statement] [script]

BESCHREIBUNG

kjs ist der KDE-ECMAScript/JavaScript-Interpreter.

ANWENDUNGSOPTIONEN

--help,-help,-h
    Hilfe zu kjscmd anzeigen.

-e statement
    Führt den Skript-Ausdruck aus und beendet anschließend. Beispiel:

    kjs -e "print('hello world')"

script
    Führt die Skript-Befehle aus, die in der Datei script enthalten sind.

BENUTZUNG

Wird kjs file ohne Parameter aufgerufen, verhält sich das Programm wie viele andere Interpreter auch: Es wird eine Eingabeaufforderung
JS
>
 angezeigt, an der Sie Befehle eingeben können. Beenden Sie die Eingabeaufforderung mit dem Befehl quit() oder drücken Sie Strg+D.

SIEHE AUCH

kjs(1)

FEHLER

Berichten Sie Fehler auf bugs.kde.org: http://bugs.kde.org.

AUTHOR
Harri Porten <porten@kde.org>.